"use client";
import { __require as f } from "./_baseGetTag.js";
import { __require as g } from "./isObject.js";
var e, t;
function F() {
  if (t) return e;
  t = 1;
  var i = f(), o = g(), u = "[object AsyncFunction]", a = "[object Function]", c = "[object GeneratorFunction]", s = "[object Proxy]";
  function b(n) {
    if (!o(n))
      return !1;
    var r = i(n);
    return r == a || r == c || r == u || r == s;
  }
  return e = b, e;
}
export {
  F as __require
};
